Subject: bug#24931: 25.1.50; recentf breaks M-x tetris scoring

From: Robert Marshall <[email-masked]>
Date: Sun, 13 Nov 2016 20:19:49 +0000

[email-masked] writes:
 > Robert Marshall <[email-masked]> writes:
 > 
 > > The 'File exists, but cannot be read' appears to come from files.el
 > > where it doesn't appear to generate an error based on that message -
 > > toggle-debug-on-error gave me nothing
 > >
 > > If I set debug-on entry to after-find-file - though I guess that fn is
 > > cleaning up after a problem(?) I get the following traceback (and
 > > continuing doesn't enter that function again)
 > 
 > This traceback is a bit too late I think.  How about toggle-debug-on-signal?
 > 

Oh that's bizarre (even more so than the bug?) it now works -
toggle-debug-on-signal doesn't seem to exist for me but I set
debug-on-signal to t

Maybe it was something there that fixed it, or other things I've tried
I restarted with -Q and now get no cannot be read message

> > ~/.emacs.d/games/tetris-scores definitely exists and is readable by me
 > 
 > Does M-: (file-readable-p "~/.emacs.d/games/tetris-scores") agree?
 > 

It does (and  the tetris-scores~ dating from Feb 2012 also returns t

As I can no longer replicate the problem you'd better close it!

I've got another machine which was exhibiting this problem, if it
still is I'll reopen when I get around to booting it.

Robert
-- 
Robert Marshall               twitter: @rajm